# EFI/UEFI binaries are not ELF, but PE32/PE32+/COFF
%global debug_package %{nil}

# Disable LTO because it breaks EFI binary build
%global _lto_cflags %{nil}

Name:           dtbloader
Version:        1.4.0
Release:        1%{?dist}
Summary:        EFI driver that installs DeviceTree into the UEFI configuration table

License:        BSD-3-Clause
URL:            https://github.com/TravMurav/dtbloader
Source0:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  clang
BuildRequires:  llvm
BuildRequires:  lld
BuildRequires:  make
BuildRequires:  git-core

%dnl ExclusiveArch:  %{efi}
# This is only useful on AArch64 systems
ExclusiveArch:  %{arm64}


%description
%{summary}.

%dnl -------------------------------------------------------------

%package unsigned-%{efi_arch}
Summary:        EFI driver for %{efi_arch} for DeviceTree support
Requires:       efi-filesystem
Provides:       %{name}-driver-%{efi_arch}
Conflicts:      %{name}-driver-%{efi_arch}
# Bundled build-time dependencies
## TODO: devendor
Provides:       bundled(gnu-efi) = 3.0.19
Provides:       bundled(libfdt) = 855c934

BuildArch:      noarch

%description unsigned-%{efi_arch}
%{summary}.

%files unsigned-%{efi_arch}
%license LICENSE
%doc README.md
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}%{efi_arch}.efi

%dnl -------------------------------------------------------------

%prep
%autosetup -c -S git_am


%build
%make_build ABORT_IF_UNSUPPORTED=1 O=%{_vpath_builddir}


%install
mkdir -p %{buildroot}%{_datadir}/%{name}
install -p %{_vpath_builddir}/dtbloader.efi %{buildroot}%{_datadir}/%{name}/%{name}%{efi_arch}.efi


%changelog
* Wed May 21 2025 Neal Gompa <ngompa@fedoraproject.org> - 1.4.0-1
- Initial package
